{% set _groups = [] %}
{% for module in (_terraform_state['stdout']|from_json)['modules'] %}
{%   if 'ec2' in module['path'] %}
{%    for key, value in module['resources'].items() %}
{%      if 'aws_instance' in key %}
{%        set _group = key.split('.') %}
{%        set _groups = _groups.append(_group[1]) %}
{%      endif %}
{%    endfor %}
{%    set groups = _groups|unique|list %}
{%    for group in groups %}
[{{ group }}]
{%      for key, value in module['resources'].items() %}
{%        if 'aws_instance' in key %}
{%          set _group = key.split('.') %}
{%          if _group[1] == group %}
{{ value['primary']['attributes']['tags.Name'] }}
{%          endif %}
{%        endif %}
{%      endfor %}
{%    endfor %}
[bedrock]
{%    for key, value in module['resources'].items() %}
{%      if 'aws_instance' in key %}
{{    value['primary']['attributes']['tags.Name'] }} ansible_host={{ value['primary']['attributes']['public_ip'] }}
{%      endif %}
{%    endfor %}
{%   endif %}
{% endfor %}
